Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

### - r -

- raiseSignal() : signalmanager , thread
- randomAccess() : file , memorymap
- randomizeAddresses() : inetsocketclient
- randomnumber() : randomnumber
- read() : bytebuffer , directory , filedescriptor , gsscontext , tlscontext
- readable() : file
- readThreshold() : serialportprofile
- readTimeout() : serialportprofile
- reboot() : sys
- receiveFileDescriptor() : filedescriptor
- receiverOn() : serialportprofile
- receiveSocket() : filedescriptor
- regularexpression() : regularexpression
- remove() : dictionary< keytype, valuetype > , directory , environment , file , linkedlist< valuetype > , singlylinkedlist< valuetype >
- removeAll() : linkedlist< valuetype > , singlylinkedlist< valuetype >
- removeAllFileDescriptors() : listener
- removeAllFlags() : signalhandler
- removeAllLogDestinations() : logger
- removeAllSignals() : signalset
- removeCrashSignals() : signalset
- removeDesiredMechanism() : gsscredentials
- removeFileDescriptor() : listener
- removeFlag() : signalhandler
- removeLogDestination() : logger
- removeShutDownSignals() : signalset
- removeSignal() : signalset
- rename() : file
- renameChildren() : xmldomnode
- renameChildrenIgnoringCase() : xmldomnode
- renameDescendents() : xmldomnode
- renameDescendentsIgnoringCase() : xmldomnode
- renameFirstChild() : xmldomnode
- renameFirstChildIgnoringCase() : xmldomnode
- replace() : charstring
- reprintCharacter() : serialportprofile
- reserve() : file
- resolveSymbolicLink() : file
- restartOutput() : serialport
- retryFailedFork() : process
- retryFailedRun() : thread
- retryInterruptedFcntl() : filedescriptor
- retryInterruptedIoctl() : filedescriptor
- retryInterruptedOperations() : semaphoreset
- retryInterruptedReads() : filedescriptor
- retryInterruptedWaits() : filedescriptor , listener
- retryInterruptedWrites() : filedescriptor
- retypePendingCharacters() : serialportprofile
- reuseAddresses() : socketserver
- rewind() : directory
- rightJustify() : charstring
- rightTrim() : charstring
- run() : thread
- runDetached() : thread
- runScript() : chat